Bug 1149945 - drbd: failed to build against kernel v5.2.11
drbd: failed to build against kernel v5.2.11
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: nick wang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-09 07:51 UTC by nick wang
Modified: 2019-09-27 10:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nick wang 2019-09-09 07:51:57 UTC
Since TW kernel update to kernel v5.2.11, drbd incompatible with the kernel. Update using coccinelle for the compatible support and step into drbd10 phase in master, with a branch for drbd-9.0.

Related failure for sle15sp2, bsc#1144702. See also https://jira.suse.com/browse/PM-1294 for Coccinelle in SLE and discuss with DRBD10


Kernel in TW: kernel-devel-5.2.11-1.2

Error messages when build:
[  159s]   CC [M]  /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.o
[  160s] In file included from /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_int.h:29,
[  160s]                  from /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.c:38:
[  160s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.c: In function 'drbd_csum_pages':
[  160s] /usr/src/linux-5.2.11-1/include/crypto/hash.h:63:37: warning: ISO C90 forbids variable length array '__req_desc' [-Wvla]
[  160s]    63 |  char __##name##_desc[sizeof(struct ahash_request) + \
[  160s]       |                                     ^~~~~~~~~~~~~
[  160s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.c:332:2: note: in expansion of macro 'AHASH_REQUEST_ON_STACK'
[  160s]   332 |  AHASH_REQUEST_ON_STACK(req, tfm);
[  160s]       |  ^~~~~~~~~~~~~~~~~~~~~~
[  160s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.c: In function 'drbd_csum_bio':
[  160s] /usr/src/linux-5.2.11-1/include/crypto/hash.h:63:37: warning: ISO C90 forbids variable length array '__req_desc' [-Wvla]
[  160s]    63 |  char __##name##_desc[sizeof(struct ahash_request) + \
[  160s]       |                                     ^~~~~~~~~~~~~
[  160s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.c:357:2: note: in expansion of macro 'AHASH_REQUEST_ON_STACK'
[  160s]   357 |  AHASH_REQUEST_ON_STACK(req, tfm);
[  160s]       |  ^~~~~~~~~~~~~~~~~~~~~~
[  162s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_sender.o: warning: objtool: drbd_request_endio.cold()+0xe: unreachable instruction
[  162s]   CC [M]  /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_receiver.o
[  163s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_receiver.c: In function 'drbd_do_auth':
[  163s] /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_receiver.c:8081:6: error: 'struct shash_desc' has no member named 'flags'
[  163s]  8081 |  desc->flags = 0;
[  163s]       |      ^~
[  163s] make[2]: *** [/usr/src/linux-5.2.11-1/scripts/Makefile.build:280: /home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default/drbd_receiver.o] Error 1
[  163s] make[1]: *** [/usr/src/linux-5.2.11-1/Makefile:1611: _module_/home/abuild/rpmbuild/BUILD/drbd-9.0.19+git.6f5fa5d3/default] Error 2
[  163s] make: *** [../../../linux-5.2.11-1/Makefile:179: sub-make] Error 2
Comment 1 nick wang 2019-09-09 08:05:49 UTC
https://build.opensuse.org/request/show/729349 with drbd-9.0 branch for the present TW.
Comment 2 Swamp Workflow Management 2019-09-09 08:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1149945) was mentioned in
https://build.opensuse.org/request/show/729354 Factory / drbd
Comment 3 nick wang 2019-09-12 02:44:21 UTC
Change to resolve/fixed, since the pr of drbd/drbd-utils is accepted by factory.

# The solution to factory is not perfect for SLE15SP2, tracked in Jira for the long run. Also the new fix of drbd-9.0 only suitable the factory(kernel 5.2+), learning/working on the new approach with "coccinelle" to solve this for old version as well.